petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoLineSearchUseTaoRoutines

Informs the TaoLineSearch to use the objective and gradient evaluation routines from the given Tao object.

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchUseTaoRoutines(TaoLineSearch ls, Tao ts)

Logically Collective on TaoLineSearch Many br

### Input Parameter

| ls | - the TaoLineSearch context Many br
| ts | - the Tao context with defined objective/gradient evaluation routines Many br

Many br

### See Also

TaoLineSearchCreate()

Level:developer
Location:src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages